## org.hibernate.type.descriptor
Interface BinaryStream

All Known Implementing Classes:
  BinaryStreamImpl

    public interface BinaryStream

Wraps a binary stream to also provide the length which is needed when binding.

Method Summary
`byte[]` `getBytes()` Access to the bytes.
`InputStream` `getInputStream()` Retrieve the input stream.
`int` `getLength()` Retrieve the length of the input stream

Method Detail

### getInputStream

    InputStream getInputStream()

  Retrieve the input stream.

  Returns:
    The input stream

### getBytes

    byte[] getBytes()

  Access to the bytes.

  Returns:
    The bytes.

### getLength

    int getLength()

  Retrieve the length of the input stream

  Returns:
    The input stream length

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.